package dz.epd.ServiceWebREST_1;

import java.util.ArrayList;

import jakarta.ws.rs.GET;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.PathParam;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.core.MediaType;
import jakarta.ws.rs.core.Response;
import resources.Client;
import resources.ClientDAO;

/**
 * Root resource (exposed at "myresource" path)
 */
@Path("clients")
public class Service1 {

    /**
     * Method handling HTTP GET requests. The returned object will be sent
     * to the client as "text/plain" media type.
     *
     * @return String that will be returned as a text/plain response.
     */
    @GET
    @Produces(MediaType.APPLICATION_JSON)
    public ArrayList<Client> getClients() {
    	
    	ClientDAO.generateTestList();
    	
        return ClientDAO.getClientList();
    }
    
    @GET
	@Path("/{id}")
	@Produces(MediaType.APPLICATION_JSON)
	public Response getClient(@PathParam("id") int id) {
		Client client = ClientDAO.getClientByID(id);
		if (client == null) {
			return Response.status(404).build();
		} else {
			return Response.ok(client).build();
		}
	}
}
